Path: API › 文件管理

`POST /files`

将误报的 Webshell 文件内容提交到宝塔官方服务器，用于改善木马检测准确性。

## Request body

_Required._

- `action146.request_time` (string, required) — Unix 时间戳。
- `action146.request_token` (string, required) — 按 API 概览生成的签名。
- `action146.action` (string, required) — 具体操作名称。
  - one of `"send_baota"`
- `action146.filename` (string, required) — 被误报的文件路径

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "send_baota",
  "filename": "string"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/files" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=send_baota" \
  --data-urlencode "filename=<filename>"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "status": true,
  "msg": "提交误报完成"
}
```

- `action146.response.default.status` (boolean, optional) — `true` 提交成功
- `action146.response.default.msg` (string, optional) — `提交误报完成`


## send_baota

将误报的 Webshell 文件内容提交到宝塔官方服务器，用于改善木马检测准确性。

需要面板已绑定宝塔账号。

- **路由**：`POST /files`
- **action**：`send_baota`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `send_baota` |
| filename | 是 | String | 被误报的文件路径 |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| status | Boolean | `true` 提交成功 |
| msg | String | `提交误报完成` |

## 示例

### 请求

```
POST /files HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=send_baota&filename=/www/wwwroot/test.php
```

### 响应

```json
{"status": true, "msg": "提交误报完成"}
```

